<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (16) on Mon May 17 12:02:42 CEST 2021 -->
<title>Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-05-17">
<meta name="description" content="index">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#add(app.exercise.algebra.Fractional)">add(Fractional)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Diese Methode addiert ein Rational auf das jetzige Objekt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#add(app.exercise.algebra.Fractional)">add(Fractional)</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
<dt><a href="app/exercise/algebra/package-summary.html">app.exercise.algebra</a> - package app.exercise.algebra</dt>
<dd>&nbsp;</dd>
<dt><a href="app/exercise/testing/package-summary.html">app.exercise.testing</a> - package app.exercise.testing</dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:B">B</h2>
<dl class="index">
<dt><a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra"><span class="type-name-link">BasisFraction</span></a> - Class in <a href="app/exercise/algebra/package-summary.html">app.exercise.algebra</a></dt>
<dd>
<div class="block">Diese klasse implementiert einige Methoden aus Fractional,
 zum arbeiten mit Rational Objekten.</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#%3Cinit%3E()">BasisFraction()</a></span> - Constructor for class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/testing/RPN.html#checkForNumber(java.lang.String)">checkForNumber(String)</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/RPN.html" title="class in app.exercise.testing">RPN</a></dt>
<dd>
<div class="block">Die Methode guckt ob ein String zu einem Long geparsed werden kann</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#clone()">clone()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Methode zum Clonen von Objekten</div>
</dd>
</dl>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#denominator">denominator</a></span> - Variable in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Objektvariable denominator ist der Nenner</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#div(app.exercise.algebra.Fractional)">div(Fractional)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Die Methode dividiert ein Fractional von dem jetzigen Objekt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#div(app.exercise.algebra.Fractional)">div(Fractional)</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:E">E</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#equals(java.lang.Object)">equals(Object)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Methode zum vergleichen zweier Objekte</div>
</dd>
</dl>
<h2 class="title" id="I:F">F</h2>
<dl class="index">
<dt><a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra"><span class="type-name-link">Fractional</span></a> - Interface in <a href="app/exercise/algebra/package-summary.html">app.exercise.algebra</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#gcd(long,long)">gcd(long, long)</a></span> - Static method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">greatest common divisor</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#getD()">getD()</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#getD()">getD()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Getter Methode</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#getN()">getN()</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#getN()">getN()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Getter Methode</div>
</dd>
</dl>
<h2 class="title" id="I:H">H</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#hashCode()">hashCode()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Methode, welche einen Hash-Code für jedes Objekt erzeugt</div>
</dd>
</dl>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/testing/RationalTesting.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/RationalTesting.html" title="class in app.exercise.testing">RationalTesting</a></dt>
<dd>
<div class="block">Main-Methode, welche beim Ausführen der Klasse viele Tests
 ausgibt, in denen jede Methode von Rational und BasisFraction
 getestet wird.</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/RPN.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/RPN.html" title="class in app.exercise.testing">RPN</a></dt>
<dd>
<div class="block">Die Main-Methode arbeitet den Ausdruck ab und liefert ein Ergebnis</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#mul(app.exercise.algebra.Fractional)">mul(Fractional)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Diese Methode multipliziert ein Rational auf das jetzige Objekt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#mul(app.exercise.algebra.Fractional)">mul(Fractional)</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:N">N</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#negation()">negation()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Die Methode gibt die Negation eines Rationals als neues Objekt zurück</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#negation()">negation()</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#numerator">numerator</a></span> - Variable in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Objektvariable numerator ist der Zähler</div>
</dd>
</dl>
<h2 class="title" id="I:R">R</h2>
<dl class="index">
<dt><a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra"><span class="type-name-link">Rational</span></a> - Class in <a href="app/exercise/algebra/package-summary.html">app.exercise.algebra</a></dt>
<dd>
<div class="block">Klasse zum Rechnen mit rationalen Brüchen</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#%3Cinit%3E()">Rational()</a></span> - Constructor for class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Default Konstruktor, welcher den Bruch 1/1 erzeugt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#%3Cinit%3E(long,long)">Rational(long, long)</a></span> - Constructor for class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Konstruktor mit zwei Parametern</div>
</dd>
<dt><a href="app/exercise/testing/RationalTesting.html" title="class in app.exercise.testing"><span class="type-name-link">RationalTesting</span></a> - Class in <a href="app/exercise/testing/package-summary.html">app.exercise.testing</a></dt>
<dd>
<div class="block">Klasse, welche die Funktionsweise von Objekten der Klasse Rational
 ausgiebig testet.</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/RationalTesting.html#%3Cinit%3E()">RationalTesting()</a></span> - Constructor for class app.exercise.testing.<a href="app/exercise/testing/RationalTesting.html" title="class in app.exercise.testing">RationalTesting</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#reciprocal()">reciprocal()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Die Methode gibt ein neues Rational Objekt zurück, unzwar den Kehrwert</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#reciprocal()">reciprocal()</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
<dt><a href="app/exercise/testing/RPN.html" title="class in app.exercise.testing"><span class="type-name-link">RPN</span></a> - Class in <a href="app/exercise/testing/package-summary.html">app.exercise.testing</a></dt>
<dd>
<div class="block">Klasse, welche das Abarbeiten und auswerten von Ausdrücken in
 umgekehrter polnische Notation mit Hilfe eines Stacks verwirklicht.</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/RPN.html#%3Cinit%3E()">RPN()</a></span> - Constructor for class app.exercise.testing.<a href="app/exercise/testing/RPN.html" title="class in app.exercise.testing">RPN</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#setND(long,long)">setND(long, long)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Methodendeklaration einer Setter-Methode</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#setND(long,long)">setND(long, long)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Methode zum Setzen des Zählers und Nenners</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#sub(app.exercise.algebra.Fractional)">sub(Fractional)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Diese Methode subtrahiert ein Rational von dem jetzigen Objekt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#sub(app.exercise.algebra.Fractional)">sub(Fractional)</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:T">T</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#toString()">toString()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Kompaktere Ausgabe mit eigener toString Methode</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
